#ifndef BMP280SENSOR_H
#define BMP280SENSOR_H

#include "i2cSensor.h"
#include <Adafruit_BME280.h> // Adafruit library for BMP280

#define BMP280_ADDR (0x76)
#define SEALEVELPRESSURE_HPA (1013.25)

class BMP280Sensor : public i2cSensor {
public:
    BMP280Sensor(uint8_t address = BMP280_ADDR); // Constructor

    // Override init method from i2cSensor
    void init() override;

    // Override methods from Sensor
    std::string getName() const override;
    std::vector<ReadingType> getFeatures() const override;
    float readValue(ReadingType feature) override;

private:
    Adafruit_BME280 bmp280; // BMP280 object
};

#endif // BMP280SENSOR_H
