#ifndef CCS811SENSOR_H
#define CCS811SENSOR_H

#include "i2cSensor.h"
#include <ccs811.h> // Include CCS811 library

class CCS811Sensor : public i2cSensor {
public:
    explicit CCS811Sensor(uint8_t wakePin = 23); // Constructor with default wake pin

    void init() override; // Override init method from i2cSensor
    void init(double* temperature, double* humidity); // Initialize with environmental data

    // Override methods from Sensor
    std::string getName() const override;
    std::vector<ReadingType> getFeatures() const override;
    float readValue(ReadingType feature) override;

private:
    uint8_t wakePin_; // CCS811 wake pin
    CCS811 ccs811_;   // CCS811 object
    double* temperaturePtr_; // Pointer to temperature value
    double* humidityPtr_;    // Pointer to humidity value
};

#endif // CCS811SENSOR_H
