#ifndef READING_TYPE_LIST_H
#define READING_TYPE_LIST_H

#include <string>
#include <iostream>

// Define a macro to list all the enum values with their names
#define READING_TYPE_LIST \
    X(Temperature)        \
    X(Humidity)           \
    X(Pressure)           \
    X(Altitude)           \
    X(eCO2)               \
    X(eTVOC)              \
    X(ErrorStatus)

// Enum class for different types of readings
enum class ReadingType {
#define X(name) name,
    READING_TYPE_LIST
#undef X
};

// Inline function to convert ReadingType to a string
inline std::string readingTypeToString(ReadingType type) {
    switch (type) {
#define X(name) case ReadingType::name: return #name;
        READING_TYPE_LIST
#undef X
        default: return "Unknown";
    }
}

#endif // READING_TYPE_LIST_H
