#ifndef I2CSENSOR_H
#define I2CSENSOR_H

#include "Sensor.h"
#include <Wire.h> // Include the Wire library for I2C

// Abstract base class for I2C sensors
class i2cSensor : public Sensor {
public:
    virtual ~i2cSensor() {}

    // Initializes the sensor
    virtual void init() = 0;

    // Returns the I2C address of the sensor
    uint8_t getAddress() const {
        return i2c_address;
    }

protected:
    uint8_t i2c_address; // I2C address of the sensor
};

#endif // I2CSENSOR_H
